#!/bin/sh

echo "[Format:(.*)=(.*)]"

DRIVER_PATH=programs/Xserver/hw/xfree86/drivers

cd $DRIVER_PATH
mkdir -p r128 radeon
cp -f ati/r128_driver.c r128
cp -f ati/radeon_driver.c radeon
for i in `find . -type d -maxdepth 1|grep "./"|grep -v CVS|grep -v ati|grep -v nvidia`;do
 DRIVER=`echo $i|sed s:^./::`
 OPTIONS=`grep -h -E .*OPTION_.*\".*\", $i/*.[ch]| \
          grep BOOLEAN| cut -f2 -d,|tr -d \"|tr -d [:blank:]|sort|uniq`

 if [ ! -z "$OPTIONS" ];then
  echo $DRIVER=$OPTIONS|sort
 fi
done
echo "ati=tsi lcdsync lcdblend accel crt_screen composite_sync linear mmio_cache probe_clocks reference_clock shadow_fb sw_cursor"|sort
echo "nvidia=SWCursor IgnoreEDID NoDDC NoRenderAccel NoLogo CursorShadow TwinView UseEdidFreqs UBB WindowFlip PageFlip UseInt10Module Overlay"|sort
echo "firegl1=no_accel"|sort
echo "firegl23=no_accel NoDDC FrameLock 2048Dual Qbs"|sort

